# Get apparent fishing events for a vessel (GET) (/docs/examples/events/get-example1)



**Query parameters**

| Parameter     | Value                                   | Description                    |
| ------------- | --------------------------------------- | ------------------------------ |
| `vessels[0]`  | `9b3e9019d-d67f-005a-9593-b66b997559e5` | Vessel id to filter events for |
| `datasets[0]` | `public-global-fishing-events:latest`   | Fishing events dataset         |
| `start-date`  | `2017-01-01`                            | Start of the date range        |
| `end-date`    | `2017-01-31`                            | End of the date range          |
| `limit`       | `1`                                     | Max number of events returned  |
| `offset`      | `0`                                     | Pagination offset              |

**Request**

<Tabs items="['cURL', 'Python', 'R', 'JavaScript']">
  <Tab value="cURL">
    ```shell
    # Make sure to replace [TOKEN] with your API Access Token.
    curl --location --request GET 'https://gateway.api.globalfishingwatch.org/v3/events?vessels[0]=9b3e9019d-d67f-005a-9593-b66b997559e5&datasets[0]=public-global-fishing-events:latest&start-date=2017-01-01&end-date=2017-01-31&limit=1&offset=0' \
      -H "Authorization: Bearer [TOKEN]"
    ```
  </Tab>

  <Tab value="Python">
    ```python
    result = await gfw_client.events.get_all_events(
        datasets=["public-global-fishing-events:latest"],
        vessels=["9b3e9019d-d67f-005a-9593-b66b997559e5"],
        start_date="2017-01-01",
        end_date="2017-01-31",
        limit=1,
        offset=0,
    )
    ```
  </Tab>

  <Tab value="R">
    ```r
    gfw_event(event_type = "FISHING",
              vessels = "9b3e9019d-d67f-005a-9593-b66b997559e5",
              start_date = "2017-01-01",
              end_date = "2017-01-31")
    ```
  </Tab>

  <Tab value="JavaScript">
    ```js
    // Make sure to replace [TOKEN] with your API Access Token.
    const res = await fetch(
      'https://gateway.api.globalfishingwatch.org/v3/events?vessels[0]=9b3e9019d-d67f-005a-9593-b66b997559e5&datasets[0]=public-global-fishing-events:latest&start-date=2017-01-01&end-date=2017-01-31&limit=1&offset=0',
      { headers: { Authorization: 'Bearer [TOKEN]' } }
    )
    const data = await res.json()
    ```
  </Tab>
</Tabs>

**Response**

```json
{
  "metadata": {
    "datasets": ["public-global-fishing-events:v3.0"],
    "vessels": ["9b3e9019d-d67f-005a-9593-b66b997559e5"],
    "dateRange": {
      "from": "2017-01-01",
      "to": "2017-01-31"
    }
  },
  "limit": 1,
  "offset": 0,
  "nextOffset": 1,
  "total": 10,
  "entries": [
    {
      "start": "2017-01-18T23:56:16.000Z",
      "end": "2017-01-19T03:42:27.000Z",
      "id": "718a4d93c16f78d9a54e9bc56d20c7e0",
      "type": "fishing",
      "position": {
        "lat": -46.1538,
        "lon": -63.2245
      },
      "regions": {
        "mpa": [],
        "eez": ["8466"],
        "rfmo": ["ACAP", "CCSBT", "IWC", "ICCAT"],
        "fao": ["41.3", "41.3.1", "41"],
        "majorFao": ["41"],
        "eez12Nm": [],
        "highSeas": [],
        "mpaNoTakePartial": [],
        "mpaNoTake": []
      },
      "boundingBox": [-63.21452500000001, -46.1618533333, -63.23098, -46.1495283333],
      "distances": {
        "startDistanceFromShoreKm": 221,
        "endDistanceFromShoreKm": 220,
        "startDistanceFromPortKm": 242.616953,
        "endDistanceFromPortKm": 240.71707800000001
      },
      "vessel": {
        "id": "9b3e9019d-d67f-005a-9593-b66b997559e5",
        "name": "CLAUDINA",
        "ssvid": "701000948"
      },
      "fishing": {
        "totalDistanceKm": 2.136563188884008,
        "averageSpeedKnots": 0.49600001273999994,
        "averageDurationHours": 0.15707175925925926,
        "potentialRisk": false
      }
    }
  ]
}
```
